Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class CircularRedirectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.httpclient.HttpException
                      org.apache.commons.httpclient.ProtocolException
                          org.apache.commons.httpclient.RedirectException
                              org.apache.commons.httpclient.CircularRedirectException

All Implemented Interfaces:
  Serializable

    public class CircularRedirectException

extends RedirectException

Signals a circular redirect

Since:
  3.0
Author:
  Oleg Kalnichevski
See Also:
  Serialized Form

Constructor Summary
`CircularRedirectException()` Creates a new CircularRedirectException with a `null` detail message.
`CircularRedirectException(String message)` Creates a new CircularRedirectException with the specified detail message.
`CircularRedirectException(String message, Throwable cause)` Creates a new CircularRedirectException with the specified detail message and cause.

Method Summary

Methods inherited from class org.apache.commons.httpclient.HttpException
`getCause, getReason, getReasonCode, printStackTrace, printStackTrace, printStackTrace, setReason, setReasonCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CircularRedirectException

    public CircularRedirectException()

  Creates a new CircularRedirectException with a `null` detail message.

### CircularRedirectException

    public CircularRedirectException(String message)

  Creates a new CircularRedirectException with the specified detail message.

  Parameters:
    `message` - The exception detail message

### CircularRedirectException

    public CircularRedirectException(String message,
                                     Throwable cause)

  Creates a new CircularRedirectException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.